Holger's Java API

## com.antelmann.sql
Class JDBCResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          com.antelmann.sql.JDBCResourceBundle

    public class JDBCResourceBundle

extends ResourceBundle

a ResourceBundle implementation that receives its values directly from a Connection.

Since:
  9. März 2007, 14:00
Author:
  Holger Antelmann
See Also:
  `TableListResourceBundle`, `JDBCResourceControl`

Nested Class Summary

Nested classes/interfaces inherited from class java.util.ResourceBundle
`ResourceBundle.Control`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`JDBCResourceBundle(Connection con, String tableName, String keyColumn, String valueColumn)`

Method Summary
`String` `getKeyColumn()`
`Enumeration<String>` `getKeys()`
`String` `getTableName()`
`String` `getValueColumn()`
`protected Object` `handleGetObject(String key)`

Methods inherited from class java.util.ResourceBundle
`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCResourceBundle

    public JDBCResourceBundle(Connection con,
                              String tableName,
                              String keyColumn,
                              String valueColumn)
                       throws InstantiationException

Throws:
  `InstantiationException`

Method Detail

### getTableName

    public String getTableName()

### getKeyColumn

    public String getKeyColumn()

### getValueColumn

    public String getValueColumn()

### handleGetObject

    protected Object handleGetObject(String key)

  Specified by:
    `handleGetObject` in class `ResourceBundle`

### getKeys

    public Enumeration<String> getKeys()

  Specified by:
    `getKeys` in class `ResourceBundle`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads